System.Design 2.0.0.0 System.Collections.CollectionBase System.Runtime.InteropServices.ComVisible(true)

The class represents the aggregation of all the items in a smart tag panel. The class contains zero or more objects. Each of these lists contains zero or more objects that represent the actual items in the panel and are derived from the class.

The following table shows the two techniques for supplying a to populate the panel with items for components, including custom controls.

Technique

Description

Pull model

The designer for the component class, which is derived from the class, supplies this collection through the property. The designer infrastructure reads this property when it must display the panel.

Push model

A or is supplied as a parameter in a call to the method of the associated with the component.

The designer infrastructure constructs a panel by creating a smart tag panel, whose constructor takes two parameters of type . The collections of lists, which contain the pulled and pushed items, are merged into one panel.

Because it derives from the class, uses an internal to store its collection of objects.

Represents a collection of objects.

- Constructor
  2.0.0.0

  The constructor creates an empty collection, containing zero objects.

  Initializes a new instance of the class with default settings.

- Constructor
  2.0.0.0

  The constructor creates a collection that contains the supplied objects.

  Initializes a new instance of the class with the specified panel items.

  The array of objects to populate the collection.
- Method
  2.0.0.0
  System.Int32 ``

  The new element is added to the end of the internal list.

  Adds the supplied to the current collection.

  The position into which the new element is inserted into the collection's internal list.

  The to add.
- Method
  2.0.0.0
  System.Void ``

  The new elements are added to the end of the internal list.

  After validating the parameter, the method makes a series of calls to the method to individually add each element.

  Adds the elements of the supplied array to the end of the current collection.

  The array of objects to add.
- Method
  2.0.0.0
  System.Void ``

  The new elements are added to the end of the internal list.

  After validating the parameter, the method makes a series of calls to the method to individually add each element.

  Adds the elements of the supplied to the end of the current collection.

  The to add.
- Method
  2.0.0.0
  System.Boolean ``

  A match is determined by value, not identity, comparison.

  Indicates whether the collection contains a specific value.

  true if the collection contains the specified value; otherwise, false.

  The to search for.
- Method
  2.0.0.0
  System.Void `` ``

  If the method throws an exception while copying, the state of the destination array is undefined. For example, if an or occurs, the destination array may be left in a partially filled state.

  Copies the elements of the current collection into the supplied array, starting at the specified array index.

  The one-dimensional array of type that is the destination of the elements copied from the current collection. The array must have zero-based indexing. The zero-based index in at which copying begins.
- Method
  2.0.0.0
  System.Int32 ``

  Internally, the class uses a to contain its collection of objects.

  Determines the index of a specific item in the collection.

  The index of if found in the internal list; otherwise, -1.

  The to locate in the collection.
- Method
  2.0.0.0
  System.Void `` ``

  If the parameter is equal to the value of the property, the new element is added to the end of the collection.

  Internally, the class uses a to contain its collection of objects. Because lists maintain contiguous elements, the elements that follow the insertion point move down to accommodate the new element. This rearrangement changes the index of the elements after the insertion point.

  Inserts the supplied into the collection at the specified position.

  The zero-based index at which should be inserted. The to insert into the collection.
- Property
  2.0.0.0
  System.ComponentModel.Design.DesignerActionList `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Performs additional custom processes before inserting a new element into the instance.

  The zero-based index at which to insert . The new value of the element at .
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Performs additional custom processes when removing an element from the instance.

  The zero-based index at which can be found. The value of the element to remove from .
- Method
  2.0.0.0
  System.Void `` `` `` To be added.

  Performs additional custom processes before setting a value in the instance.

  The zero-based index at which can be found. The value to replace with . The new value of the element at .
- Method
  2.0.0.0
  System.Void `` To be added.

  Performs additional custom processes when validating a value.

  The object to validate.
- Method
  2.0.0.0
  System.Void ``

  Internally, the class uses a to contain its collection of objects. Since lists maintain contiguous elements, the elements that follow the removal point move up to occupy the vacated spot. This rearrangement changes the index of the elements after the removal point.

  Removes the first occurrence of a specific from the collection.

  The to remove from the current collection.